### Method

# Gtk Calendarset_year

since: 4.14

#### Declaration [src]

    void
    gtk_calendar_set_year (
      GtkCalendar* self,
      int year
    )

#### Description [src]

Sets the year for the selected date.

The new date must be valid. For example, setting 2023 for the year when then the date is 2024-02-29, fails.

Available since: 4.14

Sets property | `Gtk.Calendar:year`

#### Parameters

`year`

  Type: `int`

  The desired year for the selected date (within `GDateTime` limits, i.e. from 0001 to 9999).